<div *ngIf="isUser">
  <div class="row">
    <h2 class="col-md-6 offset-3 text-center text-white bg-primary p-3 mb-4 rounded">
      {{ databaseTitle | async }}
    </h2>
  </div>

  <div class="table-responsive">
    <table class="table table-bordered bg-light rounded">
      <thead class="bg-success text-center">
        <tr>
          <th scope="col"> # </th>
          <th scope="col"> First Name </th>
          <th scope="col"> Last Name </th>
          <th scope="col"> Email </th>
          <th scope="col"> Country </th>
          <th scope="col"> Gender </th>
          <th scope="col"> Edit </th>
          <th scope="col"> Delete </th>
        </tr>
      </thead>
  
      <tbody>
        <tr *ngFor="let user of users; index as i">
          <th scope="row">{{ i + 1 }}</th>
          <td>{{ user.firstName }}</td>
          <td>{{ user.lastName }}</td>
          <td>{{ user.email }}</td>
          <td>{{ user.country }}</td>
          <td>{{ user.gender }}</td>
          <td class="text-warning text-center" (click)="onEditCallParent(user.userId, i)">
            <fa-icon [icon]="faUserEdit"></fa-icon>
          </td>
          <td class="text-danger text-center">
            <fa-icon [icon]="faTrashAlt" (click)="onDeleteCallParent(user.userId)"></fa-icon>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>